<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Интерфейс работы с SMS</title>
    <script src="/socket.io/socket.io.js"></script>
    <script src="/js/socketEmitter.js"></script>
    <link rel="stylesheet" href="/css/bootstrap.css"/>
    <link rel="stylesheet" href="/css/bootstrap-grid.css"/>
    <link rel="stylesheet" href="/css/bootstrap-reboot.css"/>

</head>
<body>

<div class="container-fluid">
    <div class="row">
        <div class="col-md-8">
            <div class="page-header">
                <h1>
                    Интерфейс работы с SMS

                </h1>
            </div>
        </div>
        <div class="col-md-4">

            <div id="loginform">
                <div v-if="seen"><label>Login: </label><input type="text" v-model="login">
                    <label>Password: </label><input type="password" v-model="password">
                    <button @click="trylogin(login, password)">Login</button>
                </div>
                <div v-else>
                    <label>{{ login }}</label>
                    <button @click="logout">Logout</button>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">

            <div id="sendsmsdiv">
                <form>
                    <p><label>Номер: </label><br><input type="text" v-model="number" required></p>
                    <p><label>Текст: </label><br><textarea v-model="textsms" required></textarea></p>
                    <p><label>GSM-шлюз: </label> <br><select v-model="goip" required>
                        <option disabled value="">Выберите один из gsm-шлюзов</option>
                        <option v-for="option in options" v-bind:value="option.id">{{ option.name }}</option>

                    </select></p>
                    <p><a @click="sendsms" class="btn btn-info">Отправить SMS</a></p>
                </form>
            </div>
        </div>
    </div>
    <div class="row">

        <div class="col-md-6">
            <span class="label label-success">Отправленные SMS</span>
            <div id="sendedsms">
                <table border="2">
                    <thead>
                    <tr>
                        <th>Дата</th>
                        <th>Кому</th>
                        <th>Текст</th>
                        <th>От</th>

                    </tr>
                    </thead>
                    <tbody>
                    <tr v-for="sms in smses">
                        <td>
                            {{ sms.time }}
                        </td>
                        <td>
                            {{ sms.tel }}
                        </td>
                        <td>
                            <div style="word-break: break-all;">
                                {{ sms.msg }}
                            </div>
                        </td>
                        <td>
                            {{ sms.prov }}
                        </td>

                    </tr>

                    </tbody>
                </table>
            </div>

        </div>
        <div class="col-md-6">
            <span class="label label-info">Принятые SMS</span>

            <div id="receivedsms">
                <table border="2">
                    <thead>
                    <tr>
                        <th>Дата</th>
                        <th>От</th>
                        <th>Текст</th>
                        <th>Кому</th>
                        <th>Действия</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr v-for="sms in smses">
                        <td>
                            {{ sms.time }}
                        </td>
                        <td>
                            {{ sms.srcnum }}
                        </td>
                        <td>
                            <div style="word-break: break-all;">
                                {{ sms.msg }}
                            </div>

                        </td>
                        <td>
                            {{ sms.goipname }}
                        </td>
                        <td>
                            <button @click="reply(sms)">Ответить</button>
                        </td>
                    </tr>

                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>


<script src="/js/vue.js"></script>
<script src="/js/vue-components.js"></script>
<script src="/js/main.js"></script>
<script src="/js/vue-apps.js"></script>
<script>document.addEventListener("DOMContentLoaded", ready);</script>
</body>
</html>